libxml++: xmlpp::Schema Class Reference

libxml++ 2.42.3

Public Member Functions | Protected Member Functions | List of all members
xmlpp::Schema Class Reference

Represents an XML Schema. More...

`#include <libxml++/schema.h>`

Inheritance diagram for xmlpp::Schema:
[legend]

## Public Member Functions
| Schema (_xmlSchema * schema)
| Create a schema from the underlying libxml schema element.
| Schema (Document * document=nullptr, bool embed=false)
| Create a schema from an XML document.
| ~Schema ()
_xmlSchema * | cobj ()
| Access the underlying libxml implementation.
const _xmlSchema * | cobj () const
| Access the underlying libxml implementation.
Document * | get_document ()
| Get the schema document.
const Document * | get_document () const
| Get the schema document.
Glib::ustring | get_name () const
Glib::ustring | get_target_namespace () const
Glib::ustring | get_version () const
virtual void | set_document (Document * document=nullptr, bool embed=false)
| Set a new document to the schema.

## Protected Member Functions
virtual void | release_underlying ()

## Detailed Description

Represents an XML Schema.

Since libxml++ 2.24

Deprecated
  Use XsdSchema instead.

## Constructor & Destructor Documentation

## ◆ Schema() [1/2]

xmlpp::Schema::Schema | ( | _xmlSchema * | schema | ) |
| explicit

Create a schema from the underlying libxml schema element.

Deprecated
  Use XsdSchema instead.

## ◆ Schema() [2/2]

xmlpp::Schema::Schema | ( | Document * | document = nullptr,
|  | bool | embed = false )
| explicit

Create a schema from an XML document.

Parameters

  document | XMLSchema document, nullptr to create an empty schema document.
  embed | If true, the document will be deleted when the schema is deleted or another document is set.

Exceptions

  xmlpp::parse_error |
  xmlpp::internal_error | If an empty schema document can't be created.

Deprecated
  Use XsdSchema instead.

## ◆ ~Schema()

xmlpp::Schema::~Schema | ( |  | ) |

## Member Function Documentation

## ◆ cobj() [1/2]

_xmlSchema * xmlpp::Schema::cobj | ( |  | ) |

Access the underlying libxml implementation.

Deprecated
  Use XsdSchema::cobj() instead.

## ◆ cobj() [2/2]

const _xmlSchema * xmlpp::Schema::cobj | ( |  | ) | const

Access the underlying libxml implementation.

Deprecated
  Use XsdSchema::cobj() instead.

## ◆ get_document() [1/2]

Document * xmlpp::Schema::get_document | ( |  | ) |

Get the schema document.

Returns
  A pointer to the schema document, or nullptr if none exists.

Deprecated
  There is no replacement.

## ◆ get_document() [2/2]

const Document * xmlpp::Schema::get_document | ( |  | ) | const

Get the schema document.

Returns
  A pointer to the schema document, or nullptr if none exists.

Deprecated
  There is no replacement.

## ◆ get_name()

Glib::ustring xmlpp::Schema::get_name | ( |  | ) | const

Deprecated
  There is no replacement.

## ◆ get_target_namespace()

Glib::ustring xmlpp::Schema::get_target_namespace | ( |  | ) | const

Deprecated
  There is no replacement.

## ◆ get_version()

Glib::ustring xmlpp::Schema::get_version | ( |  | ) | const

Deprecated
  There is no replacement.

## ◆ release_underlying()

virtual void xmlpp::Schema::release_underlying | ( |  | ) |
| protectedvirtual

## ◆ set_document()

virtual void xmlpp::Schema::set_document | ( | Document * | document = nullptr,
|  | bool | embed = false )
| virtual

Set a new document to the schema.

If the old schema document is owned by the schema (embed == true), the old schema document and all its nodes are deleted.

Parameters

  document | XMLSchema document, nullptr to create an empty schema document.
  embed | If true, the document will be deleted when the schema is deleted or another document is set.

Exceptions

  xmlpp::parse_error |
  xmlpp::internal_error | If an empty schema document can't be created.

Deprecated
  Use XsdSchema::parse_document() instead.